Dicas Para Resolver O Erro De Atualização De RPM
Dicas Para Resolver O Erro De Atualização De RPM

Dicas Para Resolver O Erro De Atualização De RPM

Se você tiver um erro de atualização de RPM em seu sistema, este guia ajudará a corrigi-lo.

Acelere seu computador em minutos

  • Etapa 1: baixar e instalar o Restoro
  • Etapa 2: abra o programa e clique em "Digitalizar"
  • Etapa 3: clique em "Reparar" para iniciar o processo de reparo
  • Clique aqui para obter o software que melhorará o desempenho do seu computador.

    Descrição Tom Cosimano 16/11/2002 09:11:50 UTC

    Do Bugzilla Helper:Agente do usuário: Mozilla/5.0U; (x11; Linux en-us; i686; rv:1.0.1) Gecko/20021003Descrição junto com o problema:Quando executo frequentemente o programa up2date, recebo um erroNota: acho que isso começou depois que tive o mesmo problema, conforme explicado abaixo:http://www.rpm.org/hintskinks/repairdb/e eu olhei para os planos para resolver este problema, mas neste momento eu recebi o erroMensagem quando eu faço um up2date:Trace (último contato com o último): Arquivo "/usr/sbin/up2date", linha 20, dentro de ?    Up2date_client de dê uma olhada no rpcServer  "/usr/share/rhn/up2date_client/rpcServer file.py", 10, caminho ? dentro do Up2dateAuth documento importante "/usr/share/rhn/up2date_client/up2dateAuth.py" à 6, № ?    importação rpmSource  Arquivo "/usr/share/rhn/up2date_client/rpmSource.py", linha 11, ? com Importar up2dateUtils "/usr/share/rhn/up2date_client/up2dateUtils file.py", linha 15, poderia ser descrito assim?    valor rpmUtils "/usr/share/rhn/up2date_client/rpmUtils file.py", 261, linha de ?   rpm_version corresponde a getRpmVersion() Arquivo "/usr/share/rhn/up2date_client/rpmUtils.257 py" definido em getRpmVersion.   Maximize up2dateErrors. Define rpmerror("falhou, tudo que essa versão do rpm faz por você temfunciona. nSe você receber um novo grande erro, tente executar este manual nnttrpm --rebuilddbnn")up2date_client.up2dateErrors.RpmError: Erro de RPM. A mensagem era:Simplesmente não é possível determinar a quantidade de versões de RPM que você provavelmente está usando.Se você receber esse tipo de erro, tente executá-lo                --rebuilddb rpmEu tentei possuir --rebuilddb rpm que sem dúvida retornou durante a noite comSem mensagens.Número da versão da versão usada (caso Reprodutível:É semprePassos aplicáveis):como como uma maneira de jogar:1. você só precisa executar up2date2.3.Resultados reais: Traceback (último telefone celular):  "/usr/sbin/up2date", arquivo 20, array ?    de up2date_client estão importando rpcServer  "/usr/share/rhn/up2date_client/rpcServer file.py", 10, a internet ?   Importar up2dateAuth Arquivo "/usr/share/rhn/up2date_client/up2dateAuth.py", linha 6, ?    Importar fonte de rpm  Arquivo "/usr/share/rhn/up2date_client/rpmSource.py", linha 11, enquanto aparece em ?   Importar up2dateUtils  "/usr/share/rhn/up2date_client/up2dateUtils file.py", linha 15? Se você estiver importando rpmUtils "/usr/share/rhn/up2date_client/rpmUtils file.py", linha 261, está simplesmente em ?   rpm_version denota getRpmVersion() Arquivo "/usr/share/rhn/up2date_client/rpmUtils.py", 257, caminho de retorno getRpmVersion  Up2dateErrors .Produce up2dateErrors.Rpmerror("Não foi possível determinar qual versão do RPM sua família inteira temexecutando.nSe você receber este erro, cada um de nossos experimentos está sendo executado nnttrpm --rebuilddbnn")up2date_client.up2dateErrors.RpmError: Erro de RPM. Era:O tipo de mensagem RPM que você está usando não pode ser determinado.Se os usuários estão recebendo este erro, dê uma olhada em executá-lo              rpm --rebuilddbResultados esperados: O Up2date deveria ter sido executado se você deseja receber atualizações do sistema.Outras informações:Copiar RPM 4.1

    análise 1 Adrian Likens 2002-12-02 22:09:38 UTC

    up2date rpm error

    Uma das principais coisas que faz o up2date se destacar é tentar descobrirqual tradução do meu sistema e produto. esteperguntando em seus dados b para o tipo de versão publicadaPacotes que fornecem "redhat-release" geralmente o pacote "rpm".Parece que eles não existem em seus bancos de dados (eleseste é um pré-requisito para o up2date, bem, quase sempre deve ser instalado ...)